### Method

# Cogl Onscreen remove_dirty_callback

#### Declaration [src]

    void
    cogl_onscreen_remove_dirty_callback (
      CoglOnscreen* onscreen,
      CoglOnscreenDirtyClosure* closure
    )

#### Description [src]

Removes a callback and associated user data that were previously registered using cogl_onscreen_add_dirty_callback().

If a destroy callback was passed to `cogl_onscreen_add_dirty_callback()` to destroy the user data then this will also get called.

#### Parameters

`closure`

  Type: `CoglOnscreenDirtyClosure`

  A `CoglOnscreenDirtyClosure` returned from cogl_onscreen_add_dirty_callback().

  The data is owned by the caller of the method.